> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numofx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute match



## OpenAPI

````yaml POST /execute
openapi: 3.1.0
info:
  title: Numo orderbook API
  description: >-
    REST endpoints exposed by Numo's markets-service and execution-service for
    physically delivered FX futures.
  version: 1.0.0
servers:
  - url: https://api.numofx.com
    description: markets-service
  - url: https://executor.numofx.com
    description: execution-service
security: []
tags:
  - name: Markets service
  - name: Execution service
paths:
  /execute:
    post:
      tags:
        - Execution service
      summary: Execute a matched trade payload
      operationId: executeMatch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteMatchRequest'
      responses:
        '200':
          description: Match accepted by executor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteMatchResponse'
        '400':
          description: Invalid executor payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ExecuteMatchRequest:
      type: object
      required:
        - market
        - asset_address
        - module_address
        - maker_order_id
        - taker_order_id
        - actions
        - signatures
        - order_data
      properties:
        market:
          type: string
        asset_address:
          type: string
        module_address:
          type: string
        maker_order_id:
          type: string
        taker_order_id:
          type: string
        actions:
          type: array
          items:
            $ref: '#/components/schemas/Action'
        signatures:
          type: array
          items:
            type: string
        order_data:
          $ref: '#/components/schemas/OrderData'
    ExecuteMatchResponse:
      type: object
      properties:
        accepted:
          type: boolean
        tx_hash:
          type: string
        receipt_status:
          type: string
        block_number:
          type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
    Action:
      type: object
      required:
        - subaccount_id
        - nonce
        - module
        - data
        - expiry
        - owner
        - signer
      properties:
        subaccount_id:
          type: string
        nonce:
          type: string
        module:
          type: string
        data:
          type: string
        expiry:
          type: string
        owner:
          type: string
        signer:
          type: string
    OrderData:
      type: object
      required:
        - taker_account
        - taker_fee
        - fill_details
        - manager_data
      properties:
        taker_account:
          type: string
        taker_fee:
          type: string
        fill_details:
          type: array
          items:
            $ref: '#/components/schemas/FillDetail'
        manager_data:
          type: string
    FillDetail:
      type: object
      required:
        - filled_account
        - amount_filled
        - price
        - fee
      properties:
        filled_account:
          type: string
        amount_filled:
          type: string
        price:
          type: string
        fee:
          type: string

````